#/bin/bash

export THISRELEASE=0.4.1.636

rm -Rf oscpmwin
mkdir oscpmwin
mkdir oscpmwin/modules
mkdir oscpmwin/serverside
mkdir oscpmwin/reports
mkdir oscpmwin/locale

cp ../oscpm1.exe oscpmwin/
cp ../FRUSER.* oscpmwin/
cp ../*.dll oscpmwin/
rm -f oscpmwin/ssleay32.dll
rm -f oscpmwin/libeay32.dll
cp ../docs/*.txt oscpmwin/
rm -f oscpmwin/openssl_license.txt
rm -f oscpmwin/debug_license.txt
cp ../serverside/*.php oscpmwin/serverside/
cp ../serverside/*.tar.gz oscpmwin/serverside/
cp ../modules/readme_modules.txt oscpmwin/modules/
cp ../reports/* oscpmwin/reports/
cd ..
tar --exclude=CVS -cf - locale | (cd installer/oscpmwin ; tar -xf - ); cd installer

rm -f oscpmwin_${THISRELEASE}.zip
zip -r -9 oscpmwin_${THISRELEASE}.zip oscpmwin

md5sum oscpmwin_${THISRELEASE}* > checksums.txt
sha1sum oscpmwin_${THISRELEASE}* >> checksums.txt
